<img src="https://user-images.githubusercontent.com/1198473/221282129-3325f95c-c99f-4dbc-a227-447b788d4791.png" width="50" />

# SLI Ember Component Library
A shared component library for common components across all SLI applications.  
[Documentation →](https://www.notion.so/sli-engineering/Connect-Frontend-801b19f91b2d4198aa20adb9a75d88a8?pvs=4)
[NPM Package →](https://www.npmjs.com/package/@s-l-i/ui-library)

## Documentation

Refer to the [Architecture Documentation](./architecture-documentation.md) to read the docs.

## Compatibility

* Ember.js v3.24 or above
* Ember CLI v3.24 or above
* Node.js v16


## Installation

```
yarn add -D @s-l-i/ui-library tailwindcss
```

## Configuration

```js
// tailwind.config.js

'use strict';

const sliEmberLibrary = require('@s-l-i/ui-library/tailwind');

module.exports = {
  content: [...sliEmberLibrary.content()],

  ...
};
```

## Storybook Documentation

### run storybook GUI in browser
To open the storybook documentation first you must build the addon. Most tutorials suggest simply starting the ember server but I know the storybook tests require a rebuild each time a file is changed so it's best to rebuild often (whether manually or by restarting the server).

```
# install dependencies 
yarn install

# start the ember server
yarn start 

# start storybook
yarn storybook 
```

When you run `yarn storybook` your browser should automatically open a tab to `localhost:6006`

### run storybook A11y tests in terminal

```
yarn test-storybook
```



## Publishing to NPM
[SLI UI Library on NPM](https://www.npmjs.com/package/@s-l-i/ui-library)

This package is auto-deployed to NPM through GitHub Actions. To publish a new version you just need to bump ther version in the `package.json` before you commit to `develop`.

Easy commands to help version bumps are
```
yarn version --major
yarn version --minor
yarn version --patch
```


## License

This project is licensed under the [MIT License](LICENSE.md).
