import { hbs } from 'ember-cli-htmlbars';

export default {
  title: 'Components/Forms/Components/Password Reset',
  argTypes: {
    password: {
      control: 'text',
      description: 'string',
      type: { name: 'string', required: true }
    },
    passwordConfirmation: {
      control: 'text',
      description: 'string',
      type: { name: 'string', required: true }
    },
    passwordDidChange: {
      description: '(ev: InputEvent<HTMLElement, InputEvent>) => void',
      type: { required: true }
    },
    passwordConfirmationDidChange: {
      description: '(ev: InputEvent<HTMLElement, InputEvent>) => void',
      type: { required: true }
    },
    setPassStrength: {
      description: '(score: integer) => void',
      type: { required: true }
    },
    isInviteAccept: {
      control: 'boolean',
      description: 'boolean',
      type: { name: 'boolean', required: false }
    },
  },
};

const Template = (args) => ({
  template: hbs`
    <Forms::Components::PasswordReset @isInviteAccept={{this.isInviteAccept}} @passwordDidChange={{this.passwordDidChange}} @passwordConfirmationDidChange={{this.passwordConfirmationDidChange}} @setPassStrength={{this.setPassStrength}} @passwordResetToken={{'sample'}} as |passwordReset|>
      {{passwordReset.title}}
      {{passwordReset.errors}}
      <passwordReset.inputs @password={{this.password}} @passwordConfirmation={{this.passwordConfirmation}} />
      <passwordReset.submit />
    </Forms::Components::PasswordReset>
  `,
  context: args,
});

const Standard = {
  args: {
    password: 'testMe!123',
    passwordConfirmation: 'testMe!123',
    passwordDidChange: () => { console.log('passwordDidChange') },
    passwordConfirmationDidChange: () => { console.log('passwordConfirmationDidChange') },
    setPassStrength: () => { console.log('setPassStrength') },
  }
};

export const Invite = Template.bind({});

Invite.args = {
  isInviteAccept: true,
  ...Standard.args
};

export const Reset = Template.bind({});

Reset.args = {
  isInviteAccept: false,
  ...Standard.args
};
