import Component from '@glimmer/component';
import zxcvbn from "zxcvbn";

export default class PasswordStrength extends Component {
  get strength() {
    let score = this.args.password ? zxcvbn(this.args.password).score : 0;
    this.args?.updatePasswordStrength(score);
    return score;
  }

  get text() {
    let strength = this.strength;
    switch (strength) {
      case 0:
        return "Too Weak";
      case 1:
        return "Weak";
      case 2:
        return "Average";
      case 3:
        return "Strong";
      case 4:
        return "Very Strong";
      default:
        return "Too Weak";
    }
  }

  get color() {
    let strength = this.strength;
    switch (strength) {
      case 0:
      case 1:
        return "red";
      case 2:
        return "yellow";
      case 3:
      case 4:
        return "green";
      default:
        return "red";
    }
  }
}
