import { hbs } from 'ember-cli-htmlbars';

export default {
    title: 'Components/Forms/Components/Password Strength',
  argTypes: {
    password: {
      control: 'text',
      description: 'string',
      type: { name: 'string', required: 'true' }
    },
    updatePasswordStrength: {
      description: '(ev: InputEvent<HTMLElement, InputEvent>) => void',
      type: { required: true }
    }
  },
};

const Template = (args) => ({
  template: hbs`<Forms::Components::PasswordStrength @password={{this.password}} @updatePasswordStrength={{fn this.updatePasswordStrength}} />`,
  context: args,
});

export const NoPassword = Template.bind({});

NoPassword.args = {
  password: '',
  updatePasswordStrength: () => console.log('input changed')
};

export const WeakPassword = Template.bind({});

WeakPassword.args = {
  password: 'test',
  updatePasswordStrength: () => console.log('input changed')
};

export const StrongPassword = Template.bind({});

StrongPassword.args = {
  password: 'testMe123!@@!',
  updatePasswordStrength: () => console.log('input changed')
};
