import { hbs } from 'ember-cli-htmlbars';

export default {
  title: 'Components/Ui/Styled Button',
  argTypes: {
    text: {
      control: 'text',
      description: 'string',
      type: { name: 'string', required: true }
    },
    loading: { control: 'boolean', description: 'boolean' },
    primary: { control: 'boolean', description: 'boolean' }
  },
};

const Template = (args) => ({
  template: hbs`
    <Ui::StyledButton @text={{this.text}} @loading={{this.loading}} @active={{this.active}} @primary={{this.parimary}} @isHollow={{this.isHollow}} />
  `,
  context: args,
});

export const Default = Template.bind({});

Default.args = {
  loading: false,
  text: 'Button'
};

export const Active = Template.bind({});

Active.args = {
  active: true,
  loading: false,
  text: 'Button'
};

export const Primary = Template.bind({});

Primary.args = {
  active: false,
  primary: true,
  loading: false,
  text: 'Button'
};

export const Loading = Template.bind({});

Loading.args = {
  active: false,
  hollow: true,
  primary: false,
  loading: true,
  text: 'Button'
};
