import { hbs } from 'ember-cli-htmlbars';

export default {
  title: 'Components/Ui/Styled Input',
  argTypes: {
    value: {
      control: 'text',
      description: 'string',
      type: { name: 'string', required: true }
    },
    label: {
      control: 'text',
      description: 'string - not required if linked &lt;label&gt; element is present'
    },
    placeholder: { control: 'text', description: 'string' },
    onInput: {
      description: '(ev: InputEvent<HTMLElement, InputEvent) => void',
      type: { required: true }
    }
  },
};

const Template = (args) => ({
  template: hbs`
    <Ui::StyledInput @value={{this.value}} @placeholder={{this.placeholder}} @label={{this.label}} @onInput={{this.onInput}} />
  `,
  context: args,
});

export const Default = Template.bind({});

Default.args = {
  placeholder: 'placeholder',
  label: 'aria-label',
  onInput: () => { console.log ('onInput') }
};
