import classic from 'ember-classic-decorator';
import Service from '@ember/service';
import { inject as service } from '@ember/service';

@classic
export default class PopupAlertService extends Service {
  @service notify;

  send(msg, type) {
    switch (type) {
      case 'success':
        this.notify.success(msg);
        break;
      case 'alert':
        this.notify.alert(msg, {
          closeAfter: 60000, // or set to null to disable auto-hiding
        });
        break;
      case 'warning':
        this.notify.warning(msg);
        break;
      case 'info':
        this.notify.info(msg);
        break;
    }
  }
}
