import { getOwner } from '@ember/application';
// eslint-disable-next-line ember/no-computed-properties-in-native-classes
import { computed } from '@ember/object';
import Service, { inject as service } from '@ember/service';

export default class SocketService extends Service {
  @service cable;
  @service fastboot;
  @service session;

  @computed('session.data.authenticated.access_token')
  get socketUrl() {
    const { access_token } = this.session.data.authenticated;
    return `${getOwner(this).resolveRegistration('config:environment').socketHost}/ws?token=${access_token}`;
  }

  subscribeTo(channel, callbacks) {
    if (this.fastboot.isFastBoot) {
      return null;
    }

    const consumer = this.cable.createConsumer(this.socketUrl);
    consumer.createSubscription(channel, callbacks);
    return consumer;
  }

  unsubscribeFrom(consumer) {
    if (!consumer) {
      return;
    }

    consumer.destroy();
    this.cable._consumers = this.cable._consumers.filter((c) => c !== consumer);
  }
}
