'use strict';

module.exports = function ( environment /*, appConfig */) {
  const ENV = {
    namespace: 'sli.co',
  };

  if (environment === 'production') {
    ENV.hostUrl    = `https://${process.env.API_URL}`;
    ENV.socketHost = `wss://${process.env.API_URL}`;
  } else if (environment === 'test') {
    ENV.hostUrl    = 'http://localhost:4201';
    ENV.socketHost = 'ws://localhost:4201';
  } else {
    if (process.env.API === 'local') {
      ENV.hostUrl    = 'http://localhost:3000';
      ENV.socketHost = 'ws://localhost:3000';
    } else {
      ENV.hostUrl    = 'https://api-develop.sliconnect.co';
      ENV.socketHost = 'wss://api-develop.sliconnect.co';
    }
  }

  return ENV;
};
