# Testing Guide

We love Ember.js and this framework gives you the power to write tests quickly, and we want to follow these Ember.js standards as we grow and adopt new standards that fit with our architecture.

## Table of Contents

-  Ember Apps and Addons: https://guides.emberjs.com/release/testing/


## Addons and Libraries used for testing setup

- [miragejs](https://github.com/miragejs/miragejs) - A client-side server to develop, test and prototype.

- [sinon](https://github.com/sinonjs/sinon) - Test spies, stubs and mocks on JavaScript tests.


## Rules

1. **Avoid implementation lock-in**: One challenge of writing tests is that intentional changes to markup, such as renaming classes, can break the DOM selectors that our tests rely on. We can overcome this by using tools like [`ember-test-selectors`](https://github.com/simplabs/ember-test-selectors)
