'use strict';

// const path = require('path');
// const relevantFilesGlob = '**/*.{html,js,ts,hbs,gjs,gts,css}';
const towerTailwind = require('./tailwind');

module.exports = {
  content: [...towerTailwind.content()],

  theme: {
    colors: {
      transparent: 'transparent',
      current: 'currentColor',
      'white': '#ffffff',
      'black': '#000000',
      'gray': {
        50: '#F5F5F5',
        100: '#EBEBEB',
        200: '#D7D7D7',
        300: '#C4C4C4',
        400: '#B0B0B0',
        500: '#B0B0B0',
        600: '#9C9C9C',
        700: '#747474',
        800: '#616161',
        900: '#2B2D2F',
        dark: '#1F2023'
      },
      'slate': {
        50: '#F9FAFC',
        100: '#F2F5F9',
        200: '#E3E8EF',
        300: '#CDD5E0',
        400: '#97A3B6',
        500: '#677489',
        600: '#4A5567',
        700: '#364154',
        800: '#20293A',
        900: '#101729',
      },
      'primary': {
        50: '#F7F8FD',
        100: '#EFF0FA',
        200: '#DFE1F6',
        300: '#CFD2F1',
        400: '#BFC3ED',
        500: '#AEB4E9',
        600: '#9CA1DA',
        700: '#8E97E0',
        800: '#7E88DB',
        900: '#6E79D7',
        dark: '#5E6AD2',
        DEFAULT: '#5E6AD2'
      },
      'red': {
        light: '#DA615D',
        DEFAULT: '#D66969',
        dark: '#C52928',
      },
      'orange': {
        light: '#FAD6B7',
        DEFAULT: '#F6B881',
        dark: '#F2994B',
      },
      'green': {
        light: '#A0C9B1',
        DEFAULT: '#59A177',
        dark: '#12783C',
      },
    },
    extend: {
      borderColor: {
        'light': '#e2e3e4',
        'dark': '#363636',
      },
      height: {
        "third-screen": "33vh"
      }
    }
  },
  variants: {},
  plugins: [],
}
